API reference

Messages

Send an Anthropic Messages request.

Request fields come from the gateway's OpenAPI document. See authentication and headers and errors.

The OpenAPI document does not define response schemas for these routes. Missing response fields below do not mean the API returns an empty response.

POST
/v1/messages

Authorization

headerAuthorizationBearer <token>

Request Body

application/json
  1. body
model*string
Length1 <= length
system?string|array<>
messages*array<|>
Items1 <= items
max_tokens*integer
Range0 < value <= 9007199254740991
temperature?number
Range0 <= value <= 1
top_p?number
Range0 <= value <= 1
top_k?integer
Range0 <= value <= 9007199254740991
stop_sequences?array<string>
stream?boolean
Defaultfalse
tools?array<>
cache_control?|null
tool_choice?|
thinking?|||
output_config?
metadata?
[key: string]?unknown

Response Body

Default Response

curl -X POST 'https://unused.market/v1/messages' \  -H 'Content-Type: application/json' \  -d '{  "model": "string",  "messages": [    {      "role": "user",      "content": "string"    }  ],  "max_tokens": 1,  "property1": null,  "property2": null}'
Empty